/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/

/* ********************************** Global ********************************** */

:root {
    --color-grey: #D9D9D9;
    --var-24-em: -0.24em;
    --font-28: clamp(1.2rem, 1.19vw + 0.516rem, 2.8rem);
}

*, *::after, *::before {
    outline: none !important;
}

body {
    counter-reset: feature;
    counter-reset: feature_slider;
}

input {
    border-radius: 8px;
}

.form-group:not(.submit-button-wrapper) {
    flex-grow: 1;
}

.form-group.submit-button-wrapper {
    margin-top: 2.4rem;
}

:where(p) {
    margin: 0 0 1.5em;
}

:where(p:last-of-type) {
    margin-bottom: 0;
}

.splide__arrow {
    transition: all .3s ease;
}

body.no-scroll {
    overflow: hidden;
    height: 100svh;
}

html[hide-scroll="true"], html[hide-scroll="true"] body {
    overflow: hidden;
    height: 100svh;
    min-block-size: 100svh !important;
}

body[hide-scroll="true"] #brx-content {
    pointer-events: none;
}

/* ********************************** Global ********************************** */

/* ********************************** Header ********************************** */

.mobile-menu__content::after {
    content: '';
    width: 100%;
    height: 100%;
    pointer-events: none;
    background: linear-gradient(180deg, #2A2B2C 0%, rgba(42, 43, 44, 0) 88.36%);
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
}

/* ********************************** Header ********************************** */

/* ********************************** Home ********************************** */

.feature .feature__card:nth-child(even) img.brxe-image.feature__product-image {
    aspect-ratio: 402/360;
}

.pagination_wrap {
    counter-reset: feature;
}

.pagination_wrap ul.splide__pagination,
.feature_slider ul.splide__pagination {
    gap: var(--space-m);
    width: 100%;
}

.feature_slider ul.splide__pagination button,
.pagination_wrap ul.splide__pagination button {
    background: transparent;
    width: 22px;
    height: 22px;
    color: var(--primary);
    font-size: 14px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.pagination_wrap ul.splide__pagination button:after {
    counter-increment: feature;
    content: counter(feature);
    position: absolute;
    top: 52%;
    left: 50%;
    transform: translate(-50%, -50%);
    line-height: 0;
    font-variant: lining-nums;
}

.feature_slider ul.splide__pagination button:after {
    counter-increment: feature_slider;
    content: counter(feature_slider);
    position: absolute;
    top: 52%;
    left: 50%;
    transform: translate(-50%, -50%);
    line-height: 0;
    font-variant: lining-nums;
}

.feature_slider ul.splide__pagination button.is-active,
.pagination_wrap ul.splide__pagination button.is-active {
    background: var(--primary);
    color: var(--secondary);
}

#brx-content .option-slider__inner:hover .option-slider__card_button {
    /* opacity: 1; */
}

.vege_img {
    filter: drop-shadow(6px 17px 50px rgba(0, 0, 0, .15));
}


/* ********************************** Home ********************************** */

/* ********************************** Chi samo ********************************** */

.sub-banner:after, .sub-banner-sec:after, .menu-top-sec:after {
    content: '';
    width: 100%;
    height: 100%;
    pointer-events: none;
    position: absolute;
    left: 0;
    top: 0;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)),
        linear-gradient(180deg, rgba(0, 0, 0, 0.6) 0%, rgba(0, 0, 0, 0) 37.75%);
}

/* ********************************** Chi samo ********************************** */

/* ********************************** Promo ********************************** */

.card__social-icons li.repeater-item span {
    margin-block: var(--var-24-em);
}

.promo-wrapper__container .promo-wrapper__card:last-of-type {
    border-bottom: 0;
}

/* ********************************** Promo ********************************** */

/* ********************************** Customize ********************************** */

.promo-wrapper__container .promo-wrapper__card:nth-child(even) {
    flex-direction: row-reverse;
}

.promo-wrapper__container .promo-wrapper__card:nth-child(even) .card__right {
    left: 0;
}

.card__left .brxe-text-basic {
    overflow: hidden;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    display: -webkit-box;
    text-overflow: ellipsis;
}

.text_desc .brxe-text.testimonial-slider__desc,
.text_desc .brxe-text.category-slider__desc,
.active_promo_section__expert {
    overflow: hidden;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    display: -webkit-box;
    text-overflow: ellipsis;
}

.category-slider__inner:hover .category-slider__image svg {
    opacity: 1;
}

#brx-content .category_img,
#brx-content .cg-slide-img {
    width: 100%;
}

/* ********************************** Customize ********************************** */

/* ********************************** Single News Page ********************************** */

.news_post_content>figure {
    margin-block: calc(var(--space-m) * 2);
}

.news_post_content>figure img {
    border-radius: var(--space-m);
    object-fit: cover;
    min-height: 250px;
}

.news_post_content .wp-block-heading {
    font-size: var(--h4);
    font-weight: 200;
    line-height: var(--h4-lh);
    padding-bottom: calc(var(--space-m) * 0.8);
    margin-top: var(--var-24-em);
    margin-bottom: var(--var-24-em);
}

.news_post_content .wp-block-heading:first-of-type {
    padding-bottom: var(--space-l);
    color: var(--base);
}

/* ********************************** Single News Page ********************************** */

/* ********************************** Menu ********************************** */

.items-option .items-option__card:nth-child(3n - 1) img.items-option__image,
.items-option .items-option__card:nth-child(6n) img.items-option__image {
    aspect-ratio: 424/440;
}

/* ********************************** Menu ********************************** */

.scroll_animation {
    position: relative;

}

.scroll_animation path:last-child {
    animation: rotate 1s linear infinite 2s;
}

.category-slider__card:hover .category_icon {
    opacity: 1;
}

@keyframes rotate {
    0% {
        transform: translateY(0);
        opacity: 1;
    }

    100% {
        transform: translateY(40%);
        opacity: 0
    }
}



form.form-wrap .options-wrapper li {
    position: relative;
}

form.form-wrap .options-wrapper input[type="checkbox"] {
    position: absolute;
    opacity: 0;
    left: 0;
    top: 0;
}

form.form-wrap .options-wrapper input[type="checkbox"]+label {
    color: var(--color-grey);
    /* font-size: 14px; */
    /* line-height: 1.42em; */
    position: relative;
    padding-left: 24px;
    margin: 0;
}


form.form-wrap .options-wrapper input[type="checkbox"]+label:before {
    position: absolute;
    content: '';
    width: 16px;
    height: 16px;
    border: 1px solid var(--color-grey);
    border-radius: 4px;
    /* background-color: #fff; */
    top: 6px;
    left: 0;
    transition: all .3s ease;
}

/* form.form-wrap .options-wrapper input[type="checkbox"]:checked+label::before,
form.form-wrap .options-wrapper input[type="checkbox"]+label:hover::before {
    border-color: var(--action);
    background-color: var(--warning);
} */

form.form-wrap .options-wrapper input[type="checkbox"]+label::after {
    position: absolute;
    content: '';
    width: 11px;
    height: 11px;
    border-radius: 3px;
    top: 9px;
    left: 3px;
    opacity: 0;
    visibility: hidden;
    background-image: url('/wp-content/uploads/2024/04/check.svg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
}


form.form-wrap .options-wrapper input[type="checkbox"]:checked+label::after {
    opacity: 1;
    visibility: visible;
}

/* form.form-wrap .submit-button-wrapper {
    margin-top: 14px;
} */
.hero-bg.bg-pattern:before {
    opacity: 3%;
    transform: scaleX(-1);
    z-index: 0;
	pointer-events:none;
}

.bg-pattern:before {
    content: "";
    background-image: url(/wp-content/uploads/2024/03/footer-pattern-2-1024x722.webp);
    background-position: center center;
    background-repeat: repeat;
    opacity: 0.07;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1;
	pointer-events:none;
}

.footer-bg.bg-pattern:before {
    opacity: 2%
}

.footer-bg.bg-pattern:after {
    background: linear-gradient(180deg, #2A2B2C 35%, rgba(42, 43, 44, 0) 88.36%);
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    pointer-events: none;
}

body .menu-info__featured {
    filter: drop-shadow(0px 27px 50px rgba(0, 0, 0, .5));
    -webkit-filter: drop-shadow(0px 27px 50px rgba(0, 0, 0, .5));
}

/* body .menu-info__featured {
    filter: url(#drop-shadow-svg);
    -webkit-filter: url(#drop-shadow-svg);
} */

/* ********************************** Responsive ********************************** */

@media (max-width: 1200px) {
    .sub-banner {
        min-height: 500px !important;
    }
}

@media (max-width:1024px) {
    .form-group.submit-button-wrapper {
        margin-top: 1.8rem;
    }
}

@media (max-width: 991px) {
    .sub-banner {
        min-height: 450px !important;
    }


}

@media (max-width: 767px) {
    .promo-wrapper__card {
        flex-direction: column-reverse !important;
    }

    .pagination_wrap ul.splide__pagination {
        gap: 12px;
    }

    .items-option .items-option__card:nth-child(6n) img.items-option__image {
        aspect-ratio: unset;
    }

}

@media (max-width: 575px) {
    .sub-banner {
        min-height: 400px !important;
    }

    .category-slider .splide__pagination {
        min-width: 320px;
    }

    .form-group.submit-button-wrapper {
        margin-top: 1.6rem;
    }
}

/* ********************************** Responsive ********************************** */